package com.example.tdl.mapper;

import com.example.tdl.domain.vo.*;
import com.example.tdl.entity.AlarmLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import retrofit2.http.PATCH;

import java.util.List;

@Mapper
public interface AlarmLogMapper {
    //获取所有的数据
    List<ResultAlarmLog> getAll();

    //根据条件获取报警数据
    List<AlarmLogVo> getAlarmLog(@Param("time") String time, @Param("companyName") String companyName);

    //新增报警数据
    int  addAlarmLog(AlarmLog addAlarmLogVo);

    List<ResultAlarmLog> getByTransportationNo(String transportationNo);

    Integer getCount(@Param("time") String time, @Param("companyName") String companyName);

    Integer getBumpCount(@Param("time")String time,@Param("companyName") String companyName);

    List<HistogramData> getByCount(@Param("time")String time,@Param("companyName") String companyName);

    Integer getByTime(@Param("transportationNo") String transportationNo,@Param("startTime") Long startTime, @Param("endTime") Long endTime);

    List<ResultAlarmLogVo> getAlarm(AlarmTermVo alarmTermVo);

    List<AlarmLogVo> getRealTimeAlarm(String companyName);

    Integer getAlarmCount(String companyName);
}
