package com.example.tdl.service;


import com.example.tdl.domain.vo.*;
import com.example.tdl.mapper.CircuitMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class CircuitService {
    @Autowired
    private CircuitMapper circuitMapper;

    public List<ResultCircuitVo> getAll(String companyName){
        return circuitMapper.getAll(companyName);
    }

    public List<ResultCircuitVo> getByTerm(CircuitTermVo circuitTermVo){
        return circuitMapper.getByTerm(circuitTermVo);
    }

    public int addCircuit(Map<Object,Object> map){
        return circuitMapper.addCircuit(map);
    }

    public int add(Map<Object,Object> map){
        return circuitMapper.add(map);
    }

    public int endCircuit(Map<Object,Object> map){
        return circuitMapper.endCircuit(map);
    }

    public int updateCircuit(Map<Object,Object> map){
        return circuitMapper.updateCircuit(map);
    }


    public int updateEndTime(UpdateCircuitVo updateCircuitVo){
        return circuitMapper.updateEndTime(updateCircuitVo);
    }

    public int updateStartTime(Map<Object,Object> map){
        return circuitMapper.updateStartTime(map);
    }

    public int delCircuit(String transportationNo){
        return circuitMapper.delCircuit(transportationNo);
    }

    public int deleteCircuit(Map<Object,Object> map){
        return circuitMapper.deleteCircuit(map);
    }


    public ResultCircuitVo getByTransportationNo(String transportationNo,String companyName){
        return circuitMapper.getByTransportationNo(transportationNo,companyName);
    }

    public ResultCircuitForAppVo getByTransportationNoForApp(String transportationNo,String companyName){
        return circuitMapper.getByTransportationNoForApp(transportationNo,companyName);
    }

    public  ResultCircuitVo  getCircuit(String transportationNo){
        return circuitMapper.getCircuit(transportationNo);
    }
    public Integer getOnRoute(String comapnyName){
        return circuitMapper.getOnRoute(comapnyName);
    }

    public Integer getDelayCount(Long compTime,String time,String companyName){
        return circuitMapper.getDelayCount(compTime,time,companyName);
    }

    public Integer getDelay(Long compTime,String companyName){
        return circuitMapper.getDelay(compTime,companyName);
    }

    public Integer getCount(String time,Long startTime,String companyName){
        return circuitMapper.getCount(time,startTime,companyName);
    }

    public List<AppCircuitVo> getByPlateNo(String plateNo,String companyName){
        return circuitMapper.getByPlateNo(plateNo,companyName);
    }

    public List<AppCircuitVo> getByCircuitState(Integer circuitState,String companyName){
        return circuitMapper.getByCircuitState(circuitState,companyName);
    }

    public int updateEvaluate(UpdateEvaluateVo updateEvaluateVo){
        return circuitMapper.updateEvaluate(updateEvaluateVo);
    }

    public Integer getNo(String transportationNo){
            return circuitMapper.getNo(transportationNo);
    }

    public ResultGatewayVo getByNo(String transportationNo){
        return circuitMapper.getByNo(transportationNo);
    }

    public List<ResultCircuitVo> getByTime(String companyName){
        return circuitMapper.getByTime(companyName);
    }


    public CircuitMessage getMessage(String transportationNo){
        return circuitMapper.getMessage(transportationNo);
    }

//    public List<CircuitVo> getDistinct(){
//        return circuitMapper.getDistinct();
//    }


//    public Integer getComplted(String time){
//        return circuitMapper.getComplted(time);
//    }

}
